#!/bin/bash

# obsid 10160000000 -  10160000136
arr=($(echo $1 | tr "-" " "))
obsid="${arr[0]}"
detector="${arr[1]}"
echo "obsid: "$obsid
echo "detector: "$detector

python /pipeline/app/run.py $obsid $detector

exit_code=$?

echo "=====pipeline.log====" > /work/user-file.txt
cat /pipeline/output/pipeline.log >> /work/user-file.txt


echo "======module.log======" >> /work/user-file.txt
cat /pipeline/output/module.log|tail -n 100 >> /work/user-file.txt


timefile=/pipeline/output/timestamp.txt
if test -f "$timefile"; then
    echo "$timefile exist"
    mv /pipeline/output/timestamp.txt /work/timestamps.txt
fi

rm -rf /pipeline/input/* /pipeline/output/*

echo finish mbi.

exit $exit_code
